cyclotomic.h File Reference

Implements exact arithmetic in cyclotomic fields. More...

`#include "regina-core.h"`
`#include "maths/polynomial.h"`
`#include "maths/rational.h"`
`#include <complex>`

## Classes

class | regina::Cyclotomic
| Represents an element of a cyclotomic field. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Cyclotomic | regina::NCyclotomic
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Implements exact arithmetic in cyclotomic fields.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).